View Issue Details

IDProjectCategoryView StatusLast Update
0001377ArchBugpublic2014-03-08 20:32
ReporterrocknAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.14 
Summary0001377: Error when create Window
DescriptionWhen I want to create a window with presets (no face selected), I have this message in Report View and the command failed.
"""
Arch workbench activated
Pick a face on an existing object or select a preset
Running the Python command 'Arch_Window' failed:
Traceback (most recent call last):
  File "/home/jo/BEBois/Dev/Git/FreeCAD_sf_master/build/Mod/Arch/ArchWindow.py", line 426, in Activated
    FreeCADGui.Snapper.getPoint(callback=self.getPoint,movecallback=self.update,extradlg=self.taskbox())
  File "/home/jo/BEBois/Dev/Git/FreeCAD_sf_master/build/Mod/Arch/ArchWindow.py", line 507, in taskbox
    self.im = QtSvg.QSvgWidget(":/ui/ParametersWindowFixed.svg")

global name 'QtSvg' is not defined
"""
Steps To ReproduceNew file
Arch Workbench
Create a wall
With no selection, clik the windows function.
Additional InformationOS: Ubuntu 12.04.4 LTS
Platform: 64-bit
Version: 0.14.3069 (Git)
Branch: master
Hash: a7d297c33d6b3f8a1758413eae192304a4f2c208
Python version: 2.7.3
Qt version: 4.8.1
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.1

Line 28 : from PySide import QtCore, QtGui
I just added ", QtSvg" at the end of the line and it works.
from PySide import QtCore, QtGui, QtSvg
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 5043125b

2014-02-13 13:03:45

yorik

Details Diff
Arch: small bugfix in window Affected Issues
0001377
mod - src/Mod/Arch/ArchWindow.py Diff File

Issue History

Date Modified Username Field Change
2014-01-31 11:23 rockn New Issue
2014-02-04 11:17 yorik Assigned To => yorik
2014-02-04 11:17 yorik Status new => assigned
2014-03-08 20:31 yorik Changeset attached => FreeCAD Master master 5043125b
2014-03-08 20:32 yorik Status assigned => closed
2014-03-08 20:32 yorik Resolution open => fixed
2014-03-08 20:32 yorik Fixed in Version => 0.14